Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml_dset.ttest

`mvpa2.support.nibabel.afni_niml_dset.``ttest`(dsets, sa_labels=None, return_values='mt', set_NaN_to=0.0, compare_to=0.0)

  Runs a one-sample t-test across datasets

  Parameters:

  dsets: str or list of dicts

  > (filenames of) NIML dsets, each referring to PxQ data for P nodes (features) and Q values per node (samples)

  sa_labels: list of (int or str)

  > indices or labels of columns to compare

  return_values: str (default: ‘mt’)

  > ‘m’ or ‘t’ or ‘mt’ to return sample mean, t-value, or both

  set_NaN_to: float or None (default: 0.)

  > the value that NaNs in dsets replaced by. If None then NaNs are kept.

  compare_to: float (default: 0.)

  > t-tests are compared against the null hypothesis of a mean of compare_to.

  Returns:

  dset: dict

  > NIML dset-compatible dict with fields ‘data’, ‘labels’, ‘stats’ and ‘node_indices’ set.